#' Simulation Data A
#'
#' This dataset is based on the ACCES Program and generated according to
#' scenario A described in Appendix D of Zhang et al. (2022). In this scenario,
#' the baseline policy (cutoff) is set equal to the oracle policy.
#'
#' @format A data frame with 2000 rows and 3 columns:
#' \describe{
#'   \item{Y}{outcome variable}
#'   \item{X}{running variable}
#'   \item{C}{cutoff value}
#'   }
#' @references Zhang, Y., Ben-Michael, E. and Imai, K. (2022) 'Safe Policy
#'   Learning under Regression Discontinuity Designs with Multiple Cutoffs',
#'   arXiv [stat.ME]. Available at: \url{http://arxiv.org/abs/2208.13323}.
"simdata_A"
